Subject: Re: Bug in drivers/serial/of_serial.c?

From: Greg KH <[email-masked]>
Date: Thu, 19 Nov 2009 08:03:24 -0800

On Thu, Nov 19, 2009 at 03:09:31PM +0100, Arnd Bergmann wrote:
> On Thursday 19 November 2009, Alon Ziv wrote:
> > On Thursday, November 19, 2009, Arnd Bergmann wrote:
> > > I'd still add support for the compatible="ns16550a" property
> > > so that we do the right thing for future systems.
> > > 
> > 
> > OK...
> > ---
> > Xilinx 16550 UART is actually 16550A-compatible
> > 
> > Signed-off-by: Alon Ziv <[email-masked]>
> 
> Acked-by: Arnd Bergmann <[email-masked]>
> 
> Does this go through the powerpc or the tty tree?
> I'd be happy if either Ben or Greg could pick this up.
> 
> I'm happy to keep maintaining the driver itself but it
> would be nice to know a definite subsystem maintainer
> responsible for it.
> 
> Greg, if you want to take patches for of_serial.c generally,
> I'll start forwarding them to you as they come in and make
> sure they apply to your tree.

Sure, I would be glad to do so, send them on.

thanks,

greg k-h